GET

/v1/schemas/fal/video/fal-ai/kling-video/o3/4k/video-to-video/reference?kind=output

kind outputactivity videohash f627eb58…extracted Sep 1, 2026version currentsource upstream spec ↗
fieldrecorded source
schemaSource linked above.

upstream-spec

Source trace
b7ce8f75eb0abea84265d9930605dcfdc208ce3bf970cc06e3855101bf00abec
{
  "fetchedAt": 1788238814,
  "extractorVersion": "1",
  "verifiedAt": null
}

Response body

1 properties · 1 required · 1 $defs
propertytypedescriptionconstraints
video*FileThe generated video.

Types

1 $defs

Fileobject

content_typestringThe mime type of the file.nullable
file_sizeintegerThe size of the file in bytes.nullable
file_namestringThe name of the file. It will be auto-generated if not provided.nullable
url*stringThe URL where the file can be downloaded from.

Validate a payload

before you spend tokens
shell
$ curl -X POST https://modelschemas.com/v1/validate \
    -d '{"provider":"fal","endpointId":"fal-ai/kling-video/o3/4k/video-to-video/reference","payload":{…}}'
→ {"valid": false, "errors": [{"path": "#", "keyword": "required", …}]}